%define pypi_name	h2

Name:		python-%{pypi_name}
Version:	4.2.0
Release:	%mkrel 3
Summary:	HTTP/2 State-Machine based protocol implementation
Group:		Development/Python
License:	MIT
URL:		https://pypi.python.org/pypi/h2
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:	pyproject-rpm-macros
BuildRequires:	pkgconfig(python3)

%description
This module contains a pure-Python implementation of a HTTP/2 protocol stack.
It’s written from the ground up to be embeddable in whatever program
you choose to use, ensuring that you can speak HTTP/2 regardless of
your programming paradigm.

%package -n	python3-%{pypi_name}
Summary:	HTTP/2 State-Machine based protocol implementation
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n	python3-%{pypi_name}
This module contains a pure-Python implementation of a HTTP/2 protocol stack.
It’s written from the ground up to be embeddable in whatever program
you choose to use, ensuring that you can speak HTTP/2 regardless of
your programming paradigm.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE*
%doc README*


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 4.2.0-3.mga10
+ Revision: 2236992
- Mageia 10 Mass Rebuild

* Tue Feb 25 2025 wally <wally> 4.2.0-2.mga10
+ Revision: 2152288
- rebuild for python3.13

* Thu Feb 06 2025 daviddavid <daviddavid> 4.2.0-1.mga10
+ Revision: 2145763
- new version: 4.2.0

* Sun Dec 10 2023 wally <wally> 4.1.0-3.mga10
+ Revision: 2016847
- rebuild for py3.12
- use pyproject rpm macros

* Wed Mar 23 2022 umeabot <umeabot> 4.1.0-2.mga9
+ Revision: 1823734
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 4.1.0-1.mga9
+ Revision: 1784403
- version 4.1.0
- rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 4.0.0-2.mga9
+ Revision: 1707484
- rebuild for python 3.9

* Mon Nov 02 2020 kekepower <kekepower> 4.0.0-1.mga8
+ Revision: 1641600
- Update to version 4.0.0

* Tue Feb 18 2020 daviddavid <daviddavid> 3.2.0-1.mga8
+ Revision: 1541922
- new version: 3.2.0

* Sun Feb 16 2020 umeabot <umeabot> 3.1.1-3.mga8
+ Revision: 1531924
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 3.1.1-2.mga8
+ Revision: 1441373
- rebuild for python3.8
- drop python2 support

* Sat Aug 03 2019 daviddavid <daviddavid> 3.1.1-1.mga8
+ Revision: 1426998
- new version: 3.1.1

* Sat Mar 02 2019 daviddavid <daviddavid> 3.1.0-1.mga7
+ Revision: 1371096
- new version: 3.1.0

* Tue Jan 08 2019 tv <tv> 3.0.1-4.mga7
+ Revision: 1351694
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 3.0.1-3.mga7
+ Revision: 1288933
- Mageia 7 Mass Rebuild

* Thu Oct 05 2017 daviddavid <daviddavid> 3.0.1-2.mga7
+ Revision: 1169145
- rename python-h2 to python2-h2

* Sat Sep 30 2017 guillomovitch <guillomovitch> 3.0.1-1.mga7
+ Revision: 1161883
- new version 3.0.1

* Sat Aug 05 2017 pterjan <pterjan> 2.4.2-2.mga7
+ Revision: 1135445
- Rebuild for python 3.6

* Fri Dec 02 2016 daviddavid <daviddavid> 2.4.2-1.mga6
+ Revision: 1071760
- new version: 2.4.2

* Thu May 26 2016 daviddavid <daviddavid> 2.3.1-1.mga6
+ Revision: 1018835
- new version: 2.3.1
- update for new pypi Source URL
- rename and rediff no-python3-enum34 patch

* Thu Apr 21 2016 daviddavid <daviddavid> 2.2.3-1.mga6
+ Revision: 1003952
- new version: 2.2.3

* Sun Apr 10 2016 daviddavid <daviddavid> 2.2.2-1.mga6
+ Revision: 1000134
- initial package python-h2

